Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.util
Class ResourceBean

    java.lang.Object
      com.jaspersoft.jasperserver.util.ResourceBean

Direct Known Subclasses:
  ContentResourceBean, DataSourceBean, DataTypeBean, FileResourceBean, FolderBean, InputControlBean, ListOfValuesBean, MondrianXmlaDefinitionBean, OlapClientConnectionBean, OlapUnitBean, QueryBean, ReportUnitBean

    public abstract class ResourceBean

extends java.lang.Object

The classes that inherit from ResourceBean are used to go back and forth between the java objects they represent and XML. We are currently using the Castor library in order to marshal and unmarshal between java and XML. One thing to note is that Castor handles primitive fields such as int and boolean as XML attributes of the top level XML tag for the particular object. Castor automatically gives default values for these primitives. So, if something like boolean hasData() has not been explicitly set, Castor will give it a default value of "false". For int the default value is zero. Furthermore, if a String value such as String setDescrption() does not have a value (is null) it will not be included in the output (unmarshal) XML. So, this is different than how primitives are dealt with.

Constructor Summary
`ResourceBean()`

Method Summary
`java.util.Date` | `getCreationDate()`
`java.lang.String` | `getDescription()`
`boolean` | `getIsNew()`
`boolean` | `getIsUriReference()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getName()`
`java.lang.String` | `getParentFolder()`
`java.lang.String` | `getProductReleaseVersion()`
`java.lang.String` | `getResourceBeanType()`
`java.lang.String` | `getResourceType()`
`java.lang.String` | `getUriString()`
`int` | `getVersion()`
`void` | `setCreationDate(java.util.Date creationDate)`
`void` | `setDescription(java.lang.String description)`
`void` | `setIsNew(boolean isNew)`
`void` | `setIsUriReference(boolean isUriReference)`
`void` | `setLabel(java.lang.String label)`
`void` | `setName(java.lang.String name)`
`void` | `setParentFolder(java.lang.String parentFolder)`
`void` | `setProductReleaseVersion(java.lang.String productReleaseVersion)`
`void` | `setResourceBeanType(java.lang.String resourceBeanType)`
`void` | `setResourceType(java.lang.String resourceType)`
`void` | `setUriString(java.lang.String uriString)`
`void` | `setVersion(int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceBean

    public ResourceBean()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getUriString

    public java.lang.String getUriString()

### setUriString

    public void setUriString(java.lang.String uriString)

### getParentFolder

    public java.lang.String getParentFolder()

### setParentFolder

    public void setParentFolder(java.lang.String parentFolder)

### getResourceType

    public java.lang.String getResourceType()

### setResourceType

    public void setResourceType(java.lang.String resourceType)

### getIsNew

    public boolean getIsNew()

### setIsNew

    public void setIsNew(boolean isNew)

### getCreationDate

    public java.util.Date getCreationDate()

### setCreationDate

    public void setCreationDate(java.util.Date creationDate)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getProductReleaseVersion

    public java.lang.String getProductReleaseVersion()

### setProductReleaseVersion

    public void setProductReleaseVersion(java.lang.String productReleaseVersion)

### getIsUriReference

    public boolean getIsUriReference()

### setIsUriReference

    public void setIsUriReference(boolean isUriReference)

### getResourceBeanType

    public java.lang.String getResourceBeanType()

### setResourceBeanType

    public void setResourceBeanType(java.lang.String resourceBeanType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.